import { jsonError } from "../../../common.js";

export async function onRequestPost(context: RequestContext) {
  const { reason } = context.data.body;

  if (typeof reason !== "string") return jsonError("Invalid reason", 400);

  await context.env.D1.prepare(
    "INSERT INTO et_strikes (created_at, created_by, id, reason) VALUES (?, ?, ?, ?);",
  )
    .bind(
      Date.now(),
      context.data.current_user.id,
      crypto.randomUUID().replaceAll("-", ""),
      reason,
    )
    .run();

  return new Response(null, {
    status: 204,
  });
}
